<script lang="ts">
  import { getSuit, Suit } from "../utils";

  export let card: CardId | undefined = undefined;
  export let suit: Suit | undefined = undefined;

  $: {
    if (!suit && card) {
      suit = getSuit(card);
    }
  }

  $: emoji = suit && getSuitEmoji(suit);

  function getSuitEmoji(suit: Suit): string {
    switch (suit) {
      case Suit.A:
        return "🟣";
      case Suit.B:
        return "♠️";
      case Suit.C:
        return "♥️";
      case Suit.D:
        return "♦️";
      case Suit.E:
        return "♣️";
      case Suit.F:
        return "🟨";
    }
  }
</script>

<span class="wrapper">
  <span class="emoji suit-{suit}">{emoji}</span>
</span>

<style>
  .wrapper {
    filter: drop-shadow(0 0 0.1rem #0005);
    text-shadow: none;
  }

  .suit-b {
    filter: invert(18%) sepia(20%) saturate(1647%) hue-rotate(339deg)
      brightness(95%) contrast(107%);
  }

  .suit-d {
    filter: invert(35%) sepia(100%) saturate(1890%) hue-rotate(200deg)
      brightness(107%) contrast(94%);
  }
  .suit-e {
    filter: invert(53%) sepia(85%) saturate(346%) hue-rotate(48deg)
      brightness(100%) contrast(87%);
  }
</style>
